%global extension   astra-monitor
%global uuid        monitor@astraext.github.io

Name:           gnome-shell-extension-%{extension}
Version:        v31
Release:        1%{?dist}
Summary:        GNOME Shell extension for Astra Monitor
License:        GPL-3.0-or-later
URL:            https://extensions.gnome.org/extension/6682/astra-monitor/
Source0:        https://extensions.gnome.org/extension-data/monitorastraext.github.io.%{version}.shell-extension.zip
BuildArch:      noarch
Recommends:     gnome-extensions-app
#BuildRequires:  git


%description
Astra Monitor is a cutting-edge, fully customizable, and performance-focused
monitoring extension for GNOME's top bar. It's an all-in-one solution for
those seeking to keep a close eye on their system's performance metrics like
CPU, GPU, RAM, disk usage, network statistics, and sensor readings.

%prep
%autosetup -cn %{name}-%{version}

%build
# Nothing to build here

%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -rp *.js metadata.json icons locale schemas src \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

%files
%doc README.md RELEASES.md
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}


%changelog
* Mon Feb 17 2025 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v31-1
- Update to upstream.

* Thu Feb 13 2025 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v30-1
- Update to upstream.

* Wed Oct 02 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v29-1
- Update to upstream.

* Sat Sep 28 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v28-1
- Update to upstream.

* Thu Sep 26 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v27-1
- Update to upstream.

* Mon Sep 16 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v26-1
- Update to upstream.

* Wed May 08 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v25-1
- Update to upstream.

* Fri Apr 26 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v24-1
- Update to upstream.

* Wed Apr 24 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v23-1
- Update to upstream.

* Tue Apr 23 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v22-1
- Update to upstream.

* Wed Apr 17 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v20-1
- Update to upstream.

* Mon Apr 08 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v19-1
- Update to upstream.

* Sat Apr 06 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v18-1
- Update to upstream.

* Wed Mar 27 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v17-1
- Update to upstream.

* Tue Mar 26 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v16-1
- Update to upstream.

* Thu Mar 14 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v15-1
- Update to upstream.

* Tue Mar 12 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v14-1
- Update to upstream.

* Thu Feb 29 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v13-1
- Update to upstream.

* Mon Feb 19 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v12-1
- Update to upstream.

* Mon Feb 12 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v11-1
- Update to upstream.

* Fri Feb 09 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v10-1
- Update to upstream.

* Sun Jan 28 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v9-1
- Update to upstream.

* Tue Jan 23 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - v7-1
- rebuilt

* Sun Jan 21 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 3-2
- rebuilt

* Sun Jan 14 2024 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 3-1
- rebuilt
